% Clear system
clear all;
clc;

% Choose basepath
basepath = 1;              


%NOTE: Stuff will be saved to cd
%-------------------------------------------------------------------------------------------------
% Stock names
ticker_a      ={'AAPL','MSFT','GOOG','CSCO','ORCL','INTC','QCOM','AMGN','TEVA','GILD','AMZN','EBAY','NWSA',...
   'DTV','CELG','INFY','YHOO','COST','SPLS','SBUX','ADP','ESRX','ADBE','FSLR','BIIB','SYMC','JNPR','BRCM','SPY','QQQ','AMAT','CMCSA'};% apr 13



%% Determination of Basepath


if basepath ==1
    
    pathproject = 'D:\\Spot_corr\\MATLAB\\';
    
elseif basepath ==2
    
    pathproject = 'D:\\WORK\\Spot_corr\\MATLAB\\';    
    
elseif basepath ==0
    
    pathproject = 'H:\\Spot_corr\\MATLAB\\';
    
elseif basepath ==-1
    
    pathproject = 'C:\\peter.malec\\Spot_corr\\MATLAB\\';            
    
    
elseif basepath ==-2
    
    pathproject = 'X:\\peter.malec\\Spot_corr\\MATLAB\\';            
    
else
    
    pathproject = 'H:\\Spot_corr\\MATLAB\\';
    
end
% -------------------------------------------------------------------------
%
%% Determination of In- and Outpath and Path for additional Data

outpath=strcat(pathproject,'Emp_AnA\Estimates\\Noise_est\\');
%outpath=strcat(pathproject,'Emp_AnA\Estimates\\ACFs\\');
%outpath=strcat(pathproject,'Data\\LOBSTER\\Filtered\\');
% -------------------------------------------------------------------------
%
%% Loop

% loop
for i=1:length(ticker_a)
    
    cmd_str=['md ' strcat(outpath,ticker_a{i})];
    dos(cmd_str)
    
end