%% FOMC_announcement_days_15072015.m
%--------------------------------------------------------------------------
% Days with FOMC announcements from 2009 to 2014
%--------------------------------------------------------------------------
%
%Peter Malec, July 15, 2015
% -------------------------------------------------------------------------
%
%% Define INPUTS


% Clear system
clear;
clc;

% Choose basepath
basepath = 2;              

% start and end date
startd=datenum('1 jan 07');
endd=datenum('31 dec 14');
% -------------------------------------------------------------------------
%
%% Determination of Basepath


if basepath ==1
    
    pathproject = '~//Projects//Spot_corr//MATLAB//';
    
elseif basepath ==2
    
    pathproject = '~//Spot_corr//MATLAB//';    
    
elseif basepath ==0
    
    pathproject = 'H:\\Spot_corr\\MATLAB\\';
    
elseif basepath ==-1
    
    pathproject = 'C:\\peter.malec\\Spot_corr\\MATLAB\\';            
    
    
elseif basepath ==-2
    
    pathproject = 'X:\\peter.malec\\Spot_corr\\MATLAB\\';            
    
else
    
    pathproject = 'H:\\Spot_corr\\MATLAB\\';
    
end
% -------------------------------------------------------------------------
%
%% Determination of Outpath


outpath=strcat(pathproject,'Data',filesep,'Add',filesep);
% -------------------------------------------------------------------------
%
%% Input of announcement days

ann_2007=[datenum('Jan 31 07')
	datenum('Mar 21 07')
    datenum('May 9 07')
    datenum('Jun 28 07')
    datenum('Aug 7 07')
    datenum('Sep 18 07')
    datenum('Oct 31 07')
    datenum('Dec 11 07')];

ann_2008=[datenum('Jan 30 08')
	datenum('Mar 18 08')
    datenum('Apr 30 08')
    datenum('Jun 25 08')
    datenum('Aug 5 08')
    datenum('Sep 16 08')
    datenum('Oct 29 08')
    datenum('Dec 16 08')];


ann_2009=[datenum('Jan 28 09')
    datenum('Mar 18 09')
    datenum('Apr 29 09')
    datenum('Jun 23 09')
    datenum('Aug 12 09')
    datenum('Sep 23 09')
    datenum('Nov 4 09')
    datenum('Dec 16 09')
	];


ann_2010=[datenum('Jan 27 10')
     datenum('Mar 16 10')
     datenum('Apr 28 10')
     datenum('Jun 23 10')
     datenum('Aug 10 10')
     datenum('Sep 21 10')
     datenum('Nov 3 10')
     datenum('Dec 14 10')
	];



ann_2011=[
	datenum('Jan 26 11')
    datenum('Mar 15 11')
    datenum('Apr 27 11')
    datenum('Jun 22 11')
    datenum('Aug 9 11')
    datenum('Sep 21 11')
    datenum('Nov 2 11')
    datenum('Dec 13 11')
];


ann_2012=[
    datenum('Jan 25 12')
    datenum('Mar 13 12')
    datenum('Apr 25 12')
    datenum('Jun 20 12')
    datenum('Aug 1 12')
    datenum('Sept 13 12')
    datenum('Oct 24 12')
    datenum('Dec 12 12')
	];

ann_2013=[
    datenum('Jan 30 13')
    datenum('Mar 20 13')
    datenum('May 1 13')
    datenum('Jun 19 13')
    datenum('Jul 31 13')
    datenum('Sep 18 13')
    datenum('Oct 30 13')
    datenum('Dec 18 13')
	];

ann_2014=[
    datenum('Jan 29 14')
    datenum('Mar 19 14')
    datenum('Apr 30 14')
    datenum('Jun 18 14')
    datenum('Jul 30 14')
    datenum('Sep 17 14')
    datenum('Oct 29 14')
    datenum('Dec 17 14')
	];

%merge announcement vectors
ann_vec=[ann_2007;ann_2008;ann_2009;ann_2010;ann_2011;ann_2012; ann_2013; ann_2014];
% -------------------------------------------------------------------------
%
%% save vector

% save output 
save(strcat(outpath,'FOMC_days.mat'),'ann_vec')






