function [n_obs,prec_nzero]=comp_n_obs(inpath,ticker,tdate,typed,cl_str,rev_ind)
%% comp_n_obs
%---------------------------------------------------------

% load data
name_temp=strcat(inpath,ticker,filesep,ticker,'_',datestr(tdate,'yyyymmdd'),'_',typed,'_',cl_str,'.mat');

% index for existence
index=isequal(exist(name_temp,'file'),2);

if isequal(index,1)

    load(name_temp);
    if isequal(typed,'trades')
        midprice=trades;
    end
    if rev_ind==1
        midprice=keep_rev(midprice,2);
    end
    
    % compute n obs
    n_obs=size(midprice,1);
    
    %share of nonzero obs
    ind=diff(log(midprice(:,2)))~=0;
    ind=logical([1;ind]);
    prec_nzero=length(midprice(ind,2))/n_obs;
    
else
    
    n_obs=0;
    prec_nzero=0;
    
end
    