function Phi=spectr_weights_j_onbl_cont(tb,h,j)
%------------------------------------------------------------------
%% spectr_weights_j_onbl_cont
% Computes spectral weights for given block for local blockwise averages of returns
% following Bibinger & Reiss (2001)
% Note: considers only 
%------------------------------------------------------------------
%
% INPUTS
% tb -> column vector of observation times on given block minus block start
% n -> number of observations
% h -> length of block
% j ->  frequency 
%------------------------------------------------------------------
% OUTPUTS
% Phi -> column vector of spectral weights
%------------------------------------------------------------------
%
%Peter Malec, May 10, 2012
%
%% Compute spectral weights

Phi= sin(j*pi*(tb)/(h))*(sqrt(2*h)/(pi*j));        % column vector
    



                       
                        
    
    
   


                        
