function [outval]=eval_sim(inarr,isigma,meas)
%% eval_sim

if isscalar(isigma)

    % Compute bias or rmse
    switch meas
        case 'rmse'
                outval=sqrt(squeeze(nanmean((inarr-isigma).^2)));
        case 'std'
                outval=sqrt(squeeze(nanmean((inarr-repmat(nanmean(inarr),[size(inarr,1) 1 1])).^2)));    
        case  'bias'
                outval=abs(squeeze(nanmean(inarr-isigma)));
        otherwise
                  error('Input "rmse", "std" or "bias"!')  
    end
    
else
     % Compute bias or rmse
    switch meas
        case 'rmse'
                outval=sqrt(squeeze(nanmean((inarr-isigma(:,ones(size(inarr,2),1),ones(size(inarr,3),1))).^2)));
        case 'std'
                outval=sqrt(squeeze(nanmean((inarr-repmat(nanmean(inarr),[size(inarr,1) 1 1])).^2)));    
        case  'bias'
                outval=abs(squeeze(nanmean(inarr-isigma(:,ones(size(inarr,2),1),ones(size(inarr,3),1)))));
        otherwise
                  error('Input "rmse", "std" or "bias"!')  
    end
    
    
end