function [norm_vec]=fnorm_mat(mat_mat)
%% fnorm_mat
%--------------------------------------------------------------
% computes frobenius norm of of several matrices stored in
% rows of joint matrix
%--------------------------------------------------------------
% INPUT:
% mat_mat -> (n_mat)xK^2 - matrix with i-th row containing
%                   vec(A_i), where A_i is i-th matrix
%--------------------------------------------------------------
% OUTPUT:
% norm_vec - > (n_matx1) vector of frobenius norms
% -------------------------------------------------------------------------
%
% Peter Malec,December 6, 2013
% -------------------------------------------------------------------------
%       
 %% compute Norms
 
 norm_vec=sqrt(sum(mat_mat.^2,2));