function normtot=norm_total_variation(f,dx)
%% norm_total_variation
%--------------------------------------------------------
% computes proxy of total variation normalized by
% l1_norm
%--------------------------------------------------------
% Inputs
% f -> (nx1) vector of ordinate values on interval of interest
% dx -> (nx1) vector of ascissae increments
%--------------------------------------------------------
% Outputs
% normtot -> procy for total variation normalized by
% l1_norm
%---------------------------------------------------------
%
%% Preps

% col vecx
f=f(:);
dx=dx(:);
%---------------------------------------------------------
%
%% Normalized tot variation
normtot=sum(abs(diff(f)))/sum(abs(f(1:(end-1))).*dx(1:(end-1)));
