%% run_constrZ_tilde_10122013.m
%--------------------------------------------------------------------------
%constructs matrix of fourth moments of d-dimensional
% standard Gaussian vector for different dimensions
%--------------------------------------------------------------------------
%
%Peter Malec, December 10, 2013
%
% -------------------------------------------------------------------------
%
%% Define INPUTS


% Clear system
clear all;
clc;

% add procs
myaddToPath;

% Choose basepath
basepath =-1;           

% max dimension
d_max=10; %>=2
% -------------------------------------------------------------------------
%
%% Determination of Basepath


if basepath ==1
    
    pathproject = 'D:\\Spot_corr\\MATLAB\\';
    
elseif basepath ==2
    
    pathproject = 'D:\\WORK\\Spot_corr\\MATLAB\\';    
    
elseif basepath ==0
    
    pathproject = 'H:\\Spot_corr\\MATLAB\\';
    
elseif basepath ==-1
    
    pathproject = 'C:\\peter.malec\\Spot_corr\\MATLAB\\';    
    
elseif basepath ==-2
    
    pathproject = 'X:\\peter.malec\\Spot_corr\\MATLAB\\';        
    
else
    
    pathproject = 'H:\\Spot_corr\\MATLAB\\';
    
end
% -------------------------------------------------------------------------
%
%% Determination of In- and Outpath 

outpath=strcat(pathproject,'Data\Add\\');
% -------------------------------------------------------------------------
%
%% Loop over Dimensions and compute Z_tilde matrix

%start loop
for j=2:d_max

% construct Z_tilde
Z_tilde = constrZ_tilde(j);

% save
save(strcat(outpath,'Z_tilde_d',int2str(j),'.mat'),'Z_tilde')
end
% -------------------------------------------------------------------------
%

