function [noisev]=getnoise(inpathnoise,ticker,tdate,sourced,typed,cl_ind,rev_ind,Q_max,alpha,skips)
%% getnoise
%------------------------------------------------------------------
% load noise estimates
%---------------------------------------------------------
%
%% Preparations

% clean?
if cl_ind==1
    cl_str='cl';            % cleaning string for output file
else
    cl_str='ncl';
end

% revisions?
if rev_ind==1
     rev_str='_rev';            
else
     rev_str='';     
end
% -------------------------------------------------------------------------
%
%% Noise

% check for existence of file
if Q_max>1
    % alpha_label
    alpha_l=num2str(alpha);
    alpha_l(alpha_l=='.')='';
   if ~isempty(skips)
       name3=strcat(inpathnoise,ticker,filesep,'noise_est_',ticker,'_',sourced,'_',datestr(tdate,'yyyymmdd'),typed,cl_str,rev_str,'_alpha',alpha_l,'_Q',int2str(Q_max),'_ss',int2str(skips),'.mat');
    else
        name3=strcat(inpathnoise,ticker,filesep,'noise_est_',ticker,'_',sourced,'_',datestr(tdate,'yyyymmdd'),typed,cl_str,rev_str,'_alpha',alpha_l,'_Q',int2str(Q_max),'.mat');
    end
else
     name3=strcat(inpathnoise,ticker,filesep,'noise_est_',ticker,'_',sourced,'_',datestr(tdate,'yyyymmdd'),typed,cl_str,rev_str,'.mat');
end
index3=isequal(exist(name3,'file'),2);
    
if index3
%---------------------------------------------------------
    indat=iload(name3,'eta_est');
    noisev=indat.eta_est;
    if noisev<=0
       noisev=eps;
    end
else
    noisev=NaN;
end
% -------------------------------------------------------------------------
%







