function data_cl=keep_rev(data_in,k)
%% keep_rev
%---------------------------------------------------------
% retains only rows of matrix for which column k values
% are revised
%---------------------------------------------------------
%
% get index of revisions
revIndx=[1;(diff(data_in(:,k)) ~=0)]; % 1st obs always is revision

% select revisions
data_cl=data_in(logical(revIndx),:);