function [open, close]=open_close(inpath,ticker,tdate,typed,cl_ind,rev_ind)
%% open_close
%------------------------------------------------------------------
% obtain open and close prices
%---------------------------------------------------------
%
%% Preparations

% clean?
if cl_ind==1
    cl_str='cl';            % cleaning string for output file
else
    cl_str='ncl';
end
% -------------------------------------------------------------------------
%
%% number of obs

% load data
name_temp=strcat(inpath,ticker,'\\',ticker,'_',datestr(tdate,'yyyymmdd'),'_',typed,'_',cl_str,'.mat');

% index for existence
index=isequal(exist(name_temp,'file'),2);

if isequal(index,1)

    load(name_temp);
    if isequal(typed,'trades')
        midprice=trades;
    end
    if rev_ind==1
        midprice=keep_rev(midprice,2);
    end
    
    % open and close
    open=midprice(1,2);
    close=midprice(end,2);
    
else
    
    % open and close
    open=NaN;
    close=NaN;
    
end
% -------------------------------------------------------------------------
%

