function Phi=spectr_weights_j_onbl(tb,n,h,j)
%------------------------------------------------------------------
%% spectr_weight
% Computes spectral weights for given block for local blockwise averages of returns
% following Bibinger & Reiss (2001)
% Note: considers only 
%------------------------------------------------------------------
%
% INPUTS
% tb -> column vector of observation times on given block minus block start
% n -> number of observations
% h -> length of block
% j ->  frequency 
%------------------------------------------------------------------
% OUTPUTS
% Phi -> column vector of spectral weights
%------------------------------------------------------------------
%
%Peter Malec, April 18, 2012
%
%% Compute spectral weights

Phi= sin(pi*(tb)/(h)*j)/(sqrt(2*h)*n*sin(j*pi/(2*n*h)));        % column vector
    



                       
                        
    
    
   


                        
