 function weightstar = ParzenKernel(xx)
        % computes parzen kernel for value xx
        
        % Lada M Kyj
        % March 10, 2010
        % QPL Berlin
        % lada.kyj@db.com

        ansstar = 0;   % defauls taht values less then 0 are 0
        if(xx > 1)
            ansstar = 0;
        end
        if(xx <= 0.5)
            ansstar = 1 - 6*xx^2 +6*xx^3;
        end
        if((xx <= 1)&& (xx > 0.5))
            ansstar = 2*(1-xx)^3;
        end
weightstar = ansstar;